/* TOC 

1. Variables
2. Global
3. Primary Nav
4. Footer
5. Home
6. Modules

*/
/*------------------------------------*
   1. Variables
*------------------------------------*/
/*-------------*
   colors
*-------------*/
/*---*
Transformations
*----*/
.center-horizontal {
  position: relative;
  left: 50%;
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
}
.center-vertical {
  position: relative;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}
.animate-all {
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -ms-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
}
/*------------------------------------*
   2. Global
*------------------------------------*/
body {
  background-color: #f3f3f3;
}
@media (min-width: 768px) {
  .table-wrap {
    width: 100%;
    display: table;
  }
  .table-wrap .column {
    display: table-cell;
    float: none;
  }
}
.tab-nav {
  padding: 10px 0;
}
.tab-nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.tab-nav ul li {
  display: inline-block;
  text-transform: uppercase;
}
.tab-nav ul li a {
  display: block;
  padding: 10px;
  color: #3e3e3e;
  background: #f8f8f8;
}
.tab-nav ul li.active a {
  color: #f8f8f8;
  background: #3e3e3e;
}
/*---*
Flex Grid
*----*/
@media (min-width: 768px) {
  .flex-grid {
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-flex-direction: row;
    flex-direction: row;
  }
  .flex-grid .column {
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
  }
  .flex-grid .column .block-item {
    flex: 1;
    -ms-flex: 1 1 auto;
  }
}
/*---*
Type
*----*/
ul.meta {
  list-style: none;
  margin: 0;
  padding: 0;
}
ul.meta li {
  display: inline-block;
}
/*-------------*
   bootstrap over-rides
*-------------*/
/*------------------------------------*
   3. Primary Nav
*------------------------------------*/
#primarynav {
  position: relative;
  z-index: 2000;
}
#primarynav.navbar.navbar-default .navbar-nav > li > ul {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  list-style: none;
  margin: 0;
  padding: 0;
  width: 250px;
}
#primarynav.navbar.navbar-default .navbar-nav > li > ul > li a {
  display: block;
  padding: 10px 15px;
  background-color: #fff;
  color: #3e3e3e;
}
#primarynav.navbar.navbar-default .navbar-nav > li:hover > ul {
  display: block;
}
/* bs override */
.navbar-nav ul {
  display: none;
  list-style: none;
  margin: 0;
  padding: 0;
}
@media (min-width: 992px) {
  .navbar-nav > li {
    position: relative;
  }
  .navbar-nav > li > ul {
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #f8f9fa;
  }
  .navbar-nav > li > ul > li {
    white-space: nowrap;
    background-color: #f8f9fa;
  }
  .navbar-nav > li:hover > ul {
    display: flex;
    flex: 1;
  }
}
/*------------------------------------*
   4. Footer
*------------------------------------*/
#footer {
  padding: 15px 0;
  background: #f8f8f8;
}
#footer .footer-nav {
  list-style: none;
  margin: 0;
  padding: 0;
}
#footer .footer-nav > li {
  display: inline-block;
}
#footer .footer-nav > li a {
  color: #3e3e3e;
  display: block;
  padding: 10px 15px;
}
@media (max-width: 768px) {
  #footer .logo {
    display: block;
    text-align: center;
    padding-bottom: 15px;
  }
}
/*------------------------------------*
   5. Home
*------------------------------------*/
/*------------------------------------*
   6. Modules
*------------------------------------*/
/*-------------*
   Page Title
*-------------*/
/*-------------*
   Main Content
*-------------*/
/*-------------*
   List View Block
*-------------*/
.list-view-block .block-item {
  margin-bottom: 15px;
}
.list-view-block .block-item header h3 {
  margin-top: 0;
}
/*-------------*
   Filter Block
*-------------*/
@media (min-width: 768px) {
  .filter-block {
    padding-top: 15px;
  }
}
@media (max-width: 768px) {
  .filter-block .navbar-header h5 {
    margin: 0 0 0 15px;
    padding: 15px 0;
  }
  .filter-block .form-group .column {
    margin-top: 15px;
  }
}
/*-------------*
   Pagination Block
*-------------*/
/*-------------*
   Article Details Block
*-------------*/
/*-------------*
   Calendar Block
*-------------*/
.calendar-block th,
.calendar-block td {
  width: 14.28571428571429%;
}
.calendar-block td {
  background: #fff;
}
.calendar-block td > div {
  min-height: 158px;
}
.calendar-block td .number {
  font-size: 24px;
  margin: 0 0 12px 0;
}
.calendar-block td h3 {
  font-size: 14px;
  margin: 0 0 8px 0;
}
.calendar-block td.blank {
  background: transparent;
}
/*-------------*
   Form Panel
*-------------*/
.form-panel {
  padding-bottom: 15px;
}
@media (max-width: 768px) {
  .form-panel .form-group .column + .column {
    margin-top: 15px;
  }
}
